/* EXTNDDRV.H

 Copyright (C) 1997 Prasad Dabak and Sandeep Phadke

 Device driver header file for adding new system services
 to the NT kernel
*/

typedef struct _DEVICE_EXTENSION
{
    ULONG  StateVariable;

} DEVICE_EXTENSION, *PDEVICE_EXTENSION;

#define FILE_DEVICE_EXTNDDRV  0x00008300

/* Prototypes for the services to be added */
NTSTATUS SampleService0(void);
NTSTATUS SampleService1(unsigned int param);
NTSTATUS SampleService2(unsigned int param1, unsigned int param2);
NTSTATUS SampleService3(unsigned int param1, unsigned int param2,
			unsigned int param3);
NTSTATUS SampleService4(unsigned int param1, unsigned int param2,
			unsigned int param3, unsigned int param4);
NTSTATUS SampleService5(unsigned int param1, unsigned int param2,
			unsigned int param3, unsigned int param4,
			unsigned int param5);
NTSTATUS SampleService6(unsigned int param1, unsigned int param2,
			unsigned int param3, unsigned int param4,
			unsigned int param5, unsigned int param6);

NTSTATUS AddServices();
